Spree Seller SDK
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const { data: carriers } = await client.trackingCarriers.list()curl --request GET \
--url http://{defaultHost}/api/v3/seller/tracking_carriers \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"data": [
{
"id": "australia_post",
"name": "Australia Post"
},
{
"id": "canada_post",
"name": "Canada Post"
},
{
"id": "chronopost",
"name": "Chronopost"
},
{
"id": "colissimo",
"name": "Colissimo"
},
{
"id": "dhl",
"name": "DHL Express"
},
{
"id": "dpd",
"name": "DPD"
},
{
"id": "deutsche_post",
"name": "Deutsche Post DHL"
},
{
"id": "evri",
"name": "Evri"
},
{
"id": "fedex",
"name": "FedEx"
},
{
"id": "gls",
"name": "GLS"
},
{
"id": "inpost",
"name": "InPost"
},
{
"id": "poczta_polska",
"name": "Poczta Polska"
},
{
"id": "postnl",
"name": "PostNL"
},
{
"id": "royal_mail",
"name": "Royal Mail"
},
{
"id": "ups",
"name": "UPS"
},
{
"id": "usps",
"name": "USPS"
}
]
}List tracking carriers
The carriers a tracking number can be pinned to, from the registry — so a carrier an extension adds appears without a client change.
GET
/
api
/
v3
/
seller
/
tracking_carriers
Spree Seller SDK
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const { data: carriers } = await client.trackingCarriers.list()curl --request GET \
--url http://{defaultHost}/api/v3/seller/tracking_carriers \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"data": [
{
"id": "australia_post",
"name": "Australia Post"
},
{
"id": "canada_post",
"name": "Canada Post"
},
{
"id": "chronopost",
"name": "Chronopost"
},
{
"id": "colissimo",
"name": "Colissimo"
},
{
"id": "dhl",
"name": "DHL Express"
},
{
"id": "dpd",
"name": "DPD"
},
{
"id": "deutsche_post",
"name": "Deutsche Post DHL"
},
{
"id": "evri",
"name": "Evri"
},
{
"id": "fedex",
"name": "FedEx"
},
{
"id": "gls",
"name": "GLS"
},
{
"id": "inpost",
"name": "InPost"
},
{
"id": "poczta_polska",
"name": "Poczta Polska"
},
{
"id": "postnl",
"name": "PostNL"
},
{
"id": "royal_mail",
"name": "Royal Mail"
},
{
"id": "ups",
"name": "UPS"
},
{
"id": "usps",
"name": "USPS"
}
]
}Was this page helpful?
⌘I

